Name:           kde-plasma-yawp
Version:        0.3.2
Release:        2%{?dist}
Summary:        Yet Another Weather Plasmoid
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php?content=94106
Source0:        http://downloads.sourceforge.net/yawp/yawp-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  kdebase-workspace-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  kdeplasma-addons-devel


%description
This colorful plasmoid shows weather maps, reports and forecasts.


%prep
%setup -q -n yawp-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_yawp


%clean
rm -rf %{buildroot}


%files -f plasma_applet_yawp.lang
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_kde4_libdir}/kde4/plasma_yawp.so
%{_kde4_libdir}/kde4/ion_accuweather.so
%{_kde4_libdir}/kde4/ion_google.so
%{_kde4_datadir}/kde4/services/plasma_yawp.desktop
%{_kde4_datadir}/kde4/services/ion-accuweather.desktop
%{_kde4_datadir}/kde4/services/ion-google.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/*.svg


%changelog
* Tue Dec 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-2
- rebuild against kde-4.4beta1 (#549620)

* Sun Dec 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.2-1
- Update to new upstream version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.2.3-1
- Initial build
